define(["app", "text!js/guida/guida.html", "js/guida/guidaView"], function(app, GuidaTemplate, GuidaView) {
	var bindings = [];

	function init() {
		app.utils.Log("INIT guidaController");
		
		var compiled_template = Template7.compile(GuidaTemplate);
		var popup_HTML = '<div class="popup">' + compiled_template({}) + '</div>';

		app.f7.popup(popup_HTML, true);
		
		GuidaView.render({
			bindings : bindings
		});

		var mySlider = app.f7.swiper('.swiper-container', {
			pagination : '.swiper-pagination'
		});

		app.utils.googleAnalytics('send', 'pageview', {
			'page' : 'guida'
		});
	}

	return {
		init : init
	};
});