define(['text!js/homepage/homepage.html', 'text!js/homepage/navbar.html'], function(viewTemplate, navbarTemplate) {
	var $$ = Dom7;

	function render(params) {
		var compiled_template = Template7.compile(navbarTemplate);
		var html = compiled_template({
			"notifiche" : params.notifiche,
			"fb_button" : params.fb_button
		});
		
		$$('.navbar').html(html);
		$$('.navbar').addClass("transparentbar");
		
		if(params.fromBack == true) {
			// In caso di ritorno alla homepage da un percorso ricarico i suoi contenuti (F7)
			var old_homepage_html = $$('.page[data-page="homepage"]').html();
			$$('.page[data-page="homepage"]').html(old_homepage_html);
		} else {
			$$('.page').html(viewTemplate);
		}
		
		bindEvents(params.bindings);
	}

	function bindEvents(bindings) {
		for ( var i in bindings) {
			$$(bindings[i].element).on(bindings[i].event, bindings[i].handler);
		}
	}

	return {
		render : render
	}
});