define(["app", "text!js/log/log.html"], function(app, LogTemplate) {
	var bindings = [];

	function init() {
		var compiled_template = Template7.compile(LogTemplate);
		var html = compiled_template({
			"notifiche" : app.utils.getClassNotifiche
		});
		app.mainView.router.loadPage({
			content : html
		});

		$('.log-page').html(app.$$('#customlog').html());

		app.utils.googleAnalytics('send', 'pageview', {
			'page' : 'log'
		});
	}

	return {
		init : init
	};
});