define(['app'], function(app) {

	function Gara(values) {
		values = values || {};
		this.giorno = values['giorno'] || '';
		this.index_campionato = values['index_campionato'] || 0;
		this.index_giornata = values['index_giornata'] || 0;
		this.index_gara = values['index_gara'] || 0;
		this.ora = values['ora'] || '';
		this.squadraCasa = values['squadraCasa'] || '';
		this.tifosiSquadraCasa = values['tifosiSquadraCasa'] || 0;
		this.squadraFuori = values['squadraFuori'] || '';
		this.tifosiSquadraFuori = values['tifosiSquadraFuori'] || 0;
		this.setVintiCasa = values['setVintiCasa'] || '';
		this.setVintiFuori = values['setVintiFuori'] || '';
		this.campionato = values['campionato'] || '';
		this.notifiche_list_squadraA = values['notifiche_list_squadraA'] || '';
		this.notifiche_list_squadraB = values['notifiche_list_squadraB'] || '';
		this.notificaSquadraCasa = values['notificaSquadraCasa'] || '';
		this.notificaSquadraFuori = values['notificaSquadraFuori'] || '';
		this.sets = values['sets'] || new Array();
		this.imageCasa = values['imageCasa'] || '';
		this.imageFuori = values['imageFuori'] || '';
		this.nascondi_set = values['nascondi_set'] || false;
		this.FacebookPostID = values['FacebookPostID'] || "ND";
		this.numeroLikes = values['numeroLikes'] || 0;
		this.numeroCommenti = values['numeroCommenti'] || 0;
		this.mipiace = values['mipiace'] || false;
	}

	Gara.prototype.setValues = function(inputValues) {
		for (var i = 0, len = inputValues.length; i < len; i++) {
			var item = inputValues[i];
			if (item.type === 'checkbox') {
				this[item.id] = item.checked;
			} else {
				this[item.id] = item.value;
			}
		}
	};

	Gara.prototype.validate = function() {
		var result = true;
		if (_.isEmpty(this.giorno)) {
			result = false;
		}
		return result;
	};

	return Gara;
});