define(['app'], function(app) {

	function Giornata(values) {
		values = values || {};
		this.giornata = values['giornata'] || '';
		this.fase = values['fase'] || '';
		this.giorno = values['giorno'] || '';
		this.ora = values['ora'] || '';
		this.oggi = values['oggi'] || false;
		this.gare = values['gare'] || [];
	}

	Giornata.prototype.setValues = function(inputValues) {
		for (var i = 0, len = inputValues.length; i < len; i++) {
			var item = inputValues[i];
			if (item.type === 'checkbox') {
				this[item.id] = item.checked;
			} else {
				this[item.id] = item.value;
			}
		}
	};

	Giornata.prototype.validate = function() {
		var result = true;
		if (_.isEmpty(this.giorno)) {
			result = false;
		}
		return result;
	};

	return Giornata;
});