define(['app'], function(app) {

	function Set(values) {
		values = values || {};
		this.numero = values['numero'] || '';
		this.puntiCasa = values['puntiCasa'] || '';
		this.puntiFuori = values['puntiFuori'] || '';
	}

	Set.prototype.setValues = function(inputValues) {
		for (var i = 0, len = inputValues.length; i < len; i++) {
			var item = inputValues[i];
			if (item.type === 'checkbox') {
				this[item.id] = item.checked;
			} else {
				this[item.id] = item.value;
			}
		}
	};

	Set.prototype.validate = function() {
		var result = true;
		if (_.isEmpty(this.numero)) {
			result = false;
		}
		return result;
	};

	return Set;
});