define(['text!js/partite/partite-list-item.html'], function(template) {

	var $$ = Dom7;

	function render(params) {				
		if(params.model.campionati.length <= 0) {
			var html = "<div class='content-block tutto_centrato'><p><b>Al momento non ci sono partite in corso.</b></p><p>Riprova più tardi o visualizza direttamente i calendari:</p>";
			
			switch (params.sesso) {
				case "RealTime" :
					html += '<a href="#" class="bubble calendario show-calendario-A1"><p>Calendario A1</p></a>';
					html += "<a href='#' class='bubble calendario show-calendario-A2'><p>Calendario A2</p></a>";
					html += "<a href='#' class='bubble calendario show-calendario-completo'><p>Calendario Completo</p></a>";
					break;
				case "RealTimeFemminile" :
					html += "<a href='#' class='bubble calendario show-calendario-A1-femminile'><p>Calendario A1</p></a>";
					html += "<a href='#' class='bubble calendario show-calendario-A2-femminile'><p>Calendario A2</p></a>";
					html += "<a href='#' class='bubble calendario show-calendario-completo-femminile'><p>Calendario Completo</p></a>";
					break;
				default :
					break;
			}
			
			html+="</div>";
		
		} else {
			var compiled_template = Template7.compile(template);
			var context = {
				model : params.model
			};
			var html = compiled_template(context);
		}
			
		$$('.' + params.modulo + '-list ul').html(html);
		$$('.' + params.modulo + '-list-header').html(params.header);
		bindEvents(params.bindings);
	}

	function reRender(params) {
		$$('.' + params.modulo + '-list ul').html(template(params.model));
		$$('.' + params.modulo + '-list-header').text(params.header);
	}

	function bindEvents(bindings) {
		for ( var i in bindings) {
			$$(bindings[i].element).on(bindings[i].event, bindings[i].handler);
		}
	}

	return {
		render : render,
		reRender : reRender
	};
});