define(['text!js/commenti/commenti-list-item.html'], function(template) {
	var $$ = Dom7;

	function render(params) {
		if(params.commenti.length <= 0) {
			var html = "<div class='content-block'><p><b>Al momento non ci sono commenti.</b></p></div>";
		} else {
			var compiled_template = Template7.compile(template);
			var html = compiled_template({
				user : params.user,
				commenti : params.commenti
			});
		}
		$$('.commenti-list ul').html(html);
		
		bindEvents(params.bindings);
	}

	function bindEvents(bindings) {
		for ( var i in bindings) {
			$(bindings[i].element).on(bindings[i].event, bindings[i].handler);
		}
	}

	return {
		render : render
	}
});