define(['app'], function(app) {

	function Classifica(values) {
		values = values || {};
		this.squadre = values['squadre'] || new Array();
	}

	Classifica.prototype.setValues = function(inputValues) {
		for (var i = 0, len = inputValues.length; i < len; i++) {
			var item = inputValues[i];
			if (item.type === 'checkbox') {
				this[item.id] = item.checked;
			} else {
				this[item.id] = item.value;
			}
		}
	};

	Classifica.prototype.validate = function() {
		var result = true;
		if (_.isEmpty(this.giorno)) {
			result = false;
		}
		return result;
	};

	return Classifica;
});