define(['app'], function(app) {

	function Squadra(values) {
		values = values || {};
		this.id_squadra = values['id_squadra'] || 0;
		this.posizione = values['posizione'] || '';
		this.punti = values['punti'] || '';
		this.vinte = values['vinte'] || '';
		this.perse = values['perse'] || '';
		this.image = values['image'] || '';
		this.notifiche_list = values['notifiche_list'] || '';
		this.notifica_val = values['notifica_val'] || '';
		this.notifica_lbl = values['notifica_lbl'] || '';
		this.nome = values['nome'] || '';
		this.squadra_preferita = values['squadra_preferita'] || false;
		this.index_squadra = values['index_squadra'] || 0;
	}

	Squadra.prototype.setValues = function(inputValues) {
		for (var i = 0, len = inputValues.length; i < len; i++) {
			var item = inputValues[i];
			if (item.type === 'checkbox') {
				this[item.id] = item.checked;
			} else {
				this[item.id] = item.value;
			}
		}
	};

	Squadra.prototype.validate = function() {
		var result = true;
		if (_.isEmpty(this.giorno)) {
			result = false;
		}
		return result;
	};

	return Squadra;
});