define(['text!js/news/news-list-item.html'], function(template) {
	var $$ = Dom7;

	function render(params) {		
		if(params.model.news.items.length <= 0) {
			var html = "<div class='content-block'><p><b>Al momento non ci sono news.</b></p><p>Riprova più tardi.</p></div>";
		} else {
			var compiled_template = Template7.compile(template);
			var html = compiled_template({
				model : params.model
			});
		}
				
		$$('.' + params.modulo + '-list ul').html(html);
		$$('.' + params.modulo + '-list-header').html(params.header);
		bindEvents(params.bindings);
	}

	function reRender(params) {
		$$('.' + params.modulo + '-list ul').html(template(params.model));
	}

	function bindEvents(bindings) {
		for ( var i in bindings) {
			$$(bindings[i].element).on(bindings[i].event, bindings[i].handler);
		}
	}

	return {
		render : render,
		reRender : reRender
	};
});