define(['text!js/notifiche/notifiche-list-item.html'], function(template) {
	var $$ = Dom7;

	function render(params) {
		if (params.model.classifica.squadre.length <= 0) {
			var html = "<div class='content-block'><p><b>Al momento non ci sono squadre delle quali ricevere notifiche in tempo reale.</b></p><p>Riprova più tardi.</p></div>";
		} else {
			var compiled_template = Template7.compile(template);
			var html = compiled_template({
				model : params.model
			});
		}

		$$('.' + params.modulo + '-list ul').html(html);
		$$('.' + params.modulo + '-list-header').text(params.header);
		bindEvents(params.bindings);
	}

	function reRender(params) {
		$$('.' + params.modulo + '-list ul').html(template(params.model));
		$$('.' + params.modulo + '-list-header').text(params.header);
	}

	function bindEvents(bindings) {
		for ( var i in bindings) {
			$(bindings[i].element).on(bindings[i].event, bindings[i].handler);
		}
	}

	return {
		render : render,
		reRender : reRender
	};
});