define(function() {

	/**
	 * Init router, that handle page events
	 */
	var f7 = {};
	function init(f7_ref) {
		f7 = f7_ref;
	}

	/**
	 * Load (or reload) controller from js code (another controller) - call it's
	 * init function
	 * 
	 * @param controllerName
	 * @param query
	 */
	function load(controllerName, query) {
		require(['js/' + controllerName + '/' + controllerName + 'Controller'], function(controller) {
			controller.init(query);
		});
	}

	return {
		init : init,
		load : load
	};
});